Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.teleal.cling.model.types
Class ServiceType

    java.lang.Object
      org.teleal.cling.model.types.ServiceType

Direct Known Subclasses:
  UDAServiceType

    public class ServiceType

extends Object

Represents a service type, for example `urn:my-domain-namespace:service:MyService:1`.

Although decimal versions are accepted and parsed, the version used for comparison is only the integer withou the fraction.

Author:
  Christian Bauer

Field Summary
`static Pattern` | `PATTERN`

Constructor Summary
`ServiceType(String namespace, String type)`
`ServiceType(String namespace, String type, int version)`

Method Summary
`boolean` | `equals(Object o)`
`String` | `getNamespace()`
`String` | `getType()`
`int` | `getVersion()`
`int` | `hashCode()`
`boolean` | `implementsVersion(ServiceType that)`
`String` | `toFriendlyString()`
`String` | `toString()`
`static ServiceType` | `valueOf(String s)`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### PATTERN

    public static final Pattern PATTERN

Constructor Detail

### ServiceType

    public ServiceType(String namespace,
                       String type)

### ServiceType

    public ServiceType(String namespace,
                       String type,
                       int version)

Method Detail

### getNamespace

    public String getNamespace()

### getType

    public String getType()

### getVersion

    public int getVersion()

### valueOf

    public static ServiceType valueOf(String s)
                               throws InvalidValueException

  Returns:
    Either a `UDAServiceType` or a more generic `ServiceType`.
  Throws:
    `InvalidValueException`

### implementsVersion

    public boolean implementsVersion(ServiceType that)

  Returns:
    `true` if this type's namespace/name matches the other type's namespace/name and this type's version is equal or higher than the given types version.

### toFriendlyString

    public String toFriendlyString()

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### equals

    public boolean equals(Object o)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 Teleal GmbH, Switzerland. All Rights Reserved.